#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform float u_time; // Time parameter for animation

void main() {
    vec2 uv = v_texCoords;
    uv.y += sin(uv.x * 10.0 + u_time) * 0.02; // Adjust the frequency and amplitude as needed
    gl_FragColor = v_color * texture2D(u_texture, uv);
}